lkml.org 
[lkml]   [2022]   [May]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH v2 00/48] ARM: PXA multiplatform support
On Mon, May 2, 2022 at 6:26 PM Guenter Roeck <linux@roeck-us.net> wrote:
>
> With v5.18-rc1-49-gcb813018b5c1, I still get:
>
> [ 0.797668] RAMDISK: Couldn't find valid RAM disk image starting at 0.
> [ 0.805262] /dev/root: Can't open blockdev
> [ 0.805487] VFS: Cannot open root device "(null)" or unknown-block(0,0): error -6
> [ 0.805674] Please append a correct "root=" boot option; here are the available partitions:
>
> when trying to boot z2 from initrd.
>
> The other problems are gone.

Ok, progress!

What is your qemu command line? I see that z2 has no pcmcia device, so
I tried booting
from MMC, but this already fails with 5.18-rc1 without any of my
patches, giving me

[ 0.697481] Creating 3 MTD partitions on "physmap-flash":
[ 0.698161] 0x000000000000-0x000000040000 : "U-Boot Bootloader"
[ 0.702815] 0x000000040000-0x000000060000 : "U-Boot Environment"
[ 0.706541] 0x000000060000-0x000000800000 : "Flash"
[ 0.718066] pxa2xx-mci pxa2xx-mci.0: incomplete constraints, dummy
supplies not allowed
[ 0.718501] pxa2xx-mci pxa2xx-mci.0: incomplete constraints, dummy
supplies not allowed

Do you have MMC or some other rootfs working without my patch series?

Arnd

\
 
 \ /
  Last update: 2022-05-02 21:21    [W:1.123 / U:0.544 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site